Issue 120737 - SfxFilterContainer_Impl object created in SfxFilterContainer ctor need delete explicitly
SfxFilterContainer_Impl object created in SfxFilterContainer ctor need delete...
Status: RESOLVED FIXED
Product: performance
Classification: Code
Component: code
AOO 3.4.0
All All
: P3 normal (vote)
: AOO 4.0
Assigned To: zhang jianfang
:
Depends on:
Blocks: 120975
  Show dependency treegraph
 
Reported: 2012-08-28 08:00 UTC by zhang jianfang
Modified: 2012-09-15 12:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
fix code patch (299 bytes, patch)
2012-08-28 08:02 UTC, zhang jianfang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zhang jianfang 2012-08-28 08:00:41 UTC
The SfxFilterContainer_Impl created in SfxFilterContainer is not freed.
Comment 1 zhang jianfang 2012-08-28 08:02:20 UTC
Created attachment 79193 [details]
fix code patch

free SfxFilterContainer_Impl object in SfxFilterContainer dtor api explictly
Comment 2 SVN Robot 2012-09-04 07:19:23 UTC
"zhangjf" committed SVN revision 1380464 into trunk:
#i120737#, SfxFilterContainer_Impl object created in SfxFilterContainer ctor ...
Comment 3 zhang jianfang 2012-09-04 07:20:03 UTC
Change to resolved state.